org.gjt.sp.jedit.gui.statusbar

## Class LastModifiedWidgetFactory

- java.lang.Object
- - org.gjt.sp.jedit.gui.statusbar.LastModifiedWidgetFactory

- All Implemented Interfaces:
    StatusWidgetFactory

      public class LastModifiedWidgetFactory
      extends java.lang.Object
      implements StatusWidgetFactory

  A Statusbar widget that show the time of last save of the current buffer.
  Since:
    jEdit 4.5pre1

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LastModifiedWidgetFactory.LastModifiedWidget`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LastModifiedWidgetFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Widget` | `getWidget(View view)` returns an instance of Widget for the given view

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LastModifiedWidgetFactory

          public LastModifiedWidgetFactory()

  - ### Method Detail

    - #### getWidget

          public Widget getWidget(View view)

      Description copied from interface: `StatusWidgetFactory`
      returns an instance of Widget for the given view
      Specified by:
        `getWidget` in interface `StatusWidgetFactory`
      Parameters:
        `view` - the view to which the created widget will belong
      Returns:
        a widget instance